language: generic
branches:
  only:
    - master
cache:
  directories:
    - vendor
services:
  - docker
sudo: required
install:
  - make bootstrap
script:
  - make build test dist prep-bintray-json
deploy:
  - provider: bintray
    # ensure client/doc builds aren't removed
    # see https://docs.travis-ci.com/user/deployment/#Uploading-Files
    skip_cleanup: true
    file: _scripts/ci/bintray-ci.json
    user: deis-admin
    key:
      secure: "BLp6r5pe12fhFLcvljhx3qp7RIGE9QBn6kmF9SwThI8wjtOeXGZxzU7ZBElHQt26S0s5rKOPO4x64Ql0jngPwoQZ66uhXU1xJ7QqsFoCjZZaEVMIIkdeuNkxEOxu8lxqRVPh2JT7BiSHCKOf+RY8JT7+1JBojIccfGUUlM1rpB+/xAO5GEekJZYg/Qj5ihCHHX+gn+x33HC3ekjV2iaLofp8WCh3WgTIXAkeBJJ5E8ngxQestmlr0AwW9xO+ReQWHJQi+S4VqN13hRn1Jk5PLPRvxEjc+xu09ONQ2WY79b4kaDYVpcPGGCRvfEv6lWbDQrtr/w/NsengWpgOZvJ4c9ooxmFM+QsJuCCFOro3G8g/FBFNvKvV8akXKslFATJPYrffTH/aLyZhFltcMiUdp0ZDOkHjt0FqrAnexn7uTeN9gr57nRUSsKo9oZNj0YNZ6+olLrathhAdQq/coHfkiX2Sy9whwHQD+73iqZAJSd6ENYBeEiqK+FjAH8Y8xEqu3XXbklyDxn1KJstsIeKWhkhWT7ssy1vJJElcAVKU1DW/fbJ+Y7d31HF+IZBeLjT9hha0o8zykgM4VnoRJzcgP3oNpZwXW6R46RgYYll3jvbOGwcu9Lq+puj2PUk8nJMkb2jtR5jmqCWfW6wjzqxLPdIIsQexiLQcicF09UctlKU="
    on:
      branch: master
notifications:
  webhooks:
    urls:
      - secure: "Kirwb8QgjbctztB/ze89XmrukN/1tS8Vb3ZVrAidusVJdHakiEJbbSDTnMuDcLwY+MXZfMM1zRDpXOnbG4QKOUjh1ytPCY9cKsbSuQ3oH+siCJk2oFtIDcs35hp5iNSq+B4YjttexSKOR2opNXkGuTHoVPVb6t10JIXPLuL3YCphlvCTWzLb5aV/yHHaIalkZV//5E+gmvOzUEYrS1/d+Hrp0yFoD9zH1ze+kIRTx6RiXTwG/Y6Z3e5PH2Jpygv37rNCiedE4CtQGR3sjashzciU7f5WZpMaTdhUdOY3vHFzq0Zz6iZb1jbzFdnUsPjHsG6e8zqh7p4XVrct1RGecd40tTcYXbohSX0izujvqSzFMqb/Chh5jrad6quo8tlTLTcldSIdCP3lSJolod4x9SWewGQAXJ0+w7yiBTyA+vTLHQEYD8xrWbkwk8KLjfwLGuDwW9ijvhci5hV9w/cEO0L0pjCaLUftmbol6ZIcuX2lxBAm8QnNoYgH5B8uI6pxzIZ9i1wGtszPBB/9qCKtTV8hy2L0rrCeOUqyigcbASuoJ1naah7nn2xeD5zvaTe9jhVJrIxpbiWxfjGxzhz7h4UL8OsnQAXL/yFcesixLIKqwkSRNP0GAHBTQFb8yzTicFThqsnb8hsXardTCZJ2M2ohf6bGhx0ujE/Cjg+X0lk="
    on_success: always
    on_failure: never
    on_start: never
